#include <iostream>

using namespace std;

int main()
{
    int a, b;
    int x, y;

    cin >> a >> b; // krajnji rezultat

    cin >> x >> y; // rezultat na poluvremenu

    int p, d;

    p = a - x;
    d = b - y;

    if(p == 0 && d == 0) cout << "nijedan";

    else if(p > 0 && d == 0) cout << "prvi";

    else if(p == 0 && d > 0) cout << "drugi";

    else cout << "?";

    return 0;
}